[kernel] r5550 - dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches

Martin Michlmayr tbm at costa.debian.org
Sat Jan 21 18:53:19 UTC 2006


Author: tbm
Date: Sat Jan 21 18:53:19 2006
New Revision: 5550

Added:
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/30_sb1_pci_fix.dpatch   (contents, props changed)
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/31_sb1_remove_debug.dpatch   (contents, props changed)
   dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/33_sb1_oprofile.dpatch   (contents, props changed)
Log:
add sb1 patches from Mark Mason


Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/30_sb1_pci_fix.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/30_sb1_pci_fix.dpatch	Sat Jan 21 18:53:19 2006
@@ -0,0 +1,37 @@
+#! /bin/sh -e
+## 30_sb1_pci_fix.dpatch by Mark Mason <mason at broadcom.com>
+##
+## DP: BCM1125 PCI fixes
+## DP: Upstream status: in linux-mips git
+
+## Make BCM1125 targets to link again.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- 2.6.15/arch/mips/pci/Makefile	2006-01-10 11:21:16.000000000 +0000
++++ git/arch/mips/pci/Makefile	2006-01-19 22:17:59.000000000 +0000
+@@ -46,6 +46,7 @@
+ obj-$(CONFIG_SGI_IP27)		+= pci-ip27.o
+ obj-$(CONFIG_SGI_IP32)		+= fixup-ip32.o ops-mace.o pci-ip32.o
+ obj-$(CONFIG_SIBYTE_SB1250)	+= fixup-sb1250.o pci-sb1250.o
++obj-$(CONFIG_SIBYTE_BCM112X)	+= fixup-sb1250.o pci-sb1250.o
+ obj-$(CONFIG_SIBYTE_BCM1x80)	+= pci-bcm1480.o pci-bcm1480ht.o
+ obj-$(CONFIG_SNI_RM200_PCI)	+= fixup-sni.o ops-sni.o
+ obj-$(CONFIG_TANBAC_TB0219)	+= fixup-tb0219.o
+

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/31_sb1_remove_debug.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/31_sb1_remove_debug.dpatch	Sat Jan 21 18:53:19 2006
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+## 31_sb1_remove_debug.dpatch by Mark Mason <mason at broadcom.com>
+##
+## DP: BCM1480: Cleanup debug code left behind in the PCI driver.
+## DP: Upstream status: in linux-mips git
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- 2.6.15/arch/mips/pci/pci-bcm1480.c	2006-01-10 11:21:16.000000000 +0000
++++ git/arch/mips/pci/pci-bcm1480.c	2006-01-19 22:17:59.000000000 +0000
+@@ -234,11 +234,9 @@
+ 
+ 	/* turn on ExpMemEn */
+ 	cmdreg = READCFG32(CFGOFFSET(0, PCI_DEVFN(PCI_BRIDGE_DEVICE, 0), 0x40));
+-	printk("PCIFeatureCtrl = %x\n", cmdreg);
+ 	WRITECFG32(CFGOFFSET(0, PCI_DEVFN(PCI_BRIDGE_DEVICE, 0), 0x40),
+ 			cmdreg | 0x10);
+ 	cmdreg = READCFG32(CFGOFFSET(0, PCI_DEVFN(PCI_BRIDGE_DEVICE, 0), 0x40));
+-	printk("PCIFeatureCtrl = %x\n", cmdreg);
+ 
+ 	/*
+ 	 * Establish mappings in KSEG2 (kernel virtual) to PCI I/O
+

Added: dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/33_sb1_oprofile.dpatch
==============================================================================
--- (empty file)
+++ dists/trunk/arch/mips/linux-patch-2.6.15-mips-2.6.15/debian/patches/33_sb1_oprofile.dpatch	Sat Jan 21 18:53:19 2006
@@ -0,0 +1,58 @@
+#! /bin/sh -e
+## 33_sb1_oprofile.dpatch by Mark Mason <mason at broadcom.com>
+##
+## DP: SB1: Add oprofile support.
+## DP: Upstream status: in linux-mips git
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+--- 2.6.15/arch/mips/oprofile/Makefile	2006-01-10 11:21:16.000000000 +0000
++++ git/arch/mips/oprofile/Makefile	2006-01-19 22:17:59.000000000 +0000
+@@ -12,4 +12,5 @@
+ 
+ oprofile-$(CONFIG_CPU_MIPS32)		+= op_model_mipsxx.o
+ oprofile-$(CONFIG_CPU_MIPS64)		+= op_model_mipsxx.o
++oprofile-$(CONFIG_CPU_SB1)		+= op_model_mipsxx.o
+ oprofile-$(CONFIG_CPU_RM9000)		+= op_model_rm9000.o
+--- 2.6.15/arch/mips/oprofile/common.c	2006-01-10 11:21:16.000000000 +0000
++++ git/arch/mips/oprofile/common.c	2006-01-19 22:17:59.000000000 +0000
+@@ -79,6 +79,8 @@
+ 	case CPU_20KC:
+ 	case CPU_24K:
+ 	case CPU_25KF:
++	case CPU_SB1:
++	case CPU_SB1A:
+ 		lmodel = &op_model_mipsxx;
+ 		break;
+ 
+--- 2.6.15/arch/mips/oprofile/op_model_mipsxx.c	2006-01-10 11:21:16.000000000 +0000
++++ git/arch/mips/oprofile/op_model_mipsxx.c	2006-01-19 22:17:59.000000000 +0000
+@@ -205,6 +205,11 @@
+ 		op_model_mipsxx.cpu_type = "mips/5K";
+ 		break;
+ 
++	case CPU_SB1:
++	case CPU_SB1A:
++		op_model_mipsxx.cpu_type = "mips/sb1";
++		break;
++
+ 	default:
+ 		printk(KERN_ERR "Profiling unsupported for this CPU\n");
+ 
+



More information about the Kernel-svn-changes mailing list